pmdata's blog

Aller au contenu | Aller au menu | Aller à la recherche

dimanche 28 décembre 2008

Reevengi 0.9

Visualiseur d'images et de vidéos pour les jeux Resident Evil.

  • Affichage des modèles EMD aussi pour RE1 (pc/ps1), RE2 (pc/ps1) et RE3 pc.
  • Sélection du modèle 3D
  • Déplacement haut/bas du modèle
  • Correction crash dans le renderer OpenGL (mauvaise conversion de l'image de fond).
  • Ajout support des modes vidéos 8 bits, avec tramage optionnel.
  • Fichier projet VS2005 préliminaire.

Lien

Reevengi 0.9

Image viewer and movie player for Resident Evil games.

  • Display EMD model also for RE1 (pc/ps1), RE2 (pc/ps1) and RE3 pc.
  • Model selection
  • Move model up/down
  • Fixed crash in OpenGL renderer, due to bad conversion of background image.
  • Add 8bit video mode support, with dithering for background if needed
  • Preliminary VS2005 project file.

Link

samedi 13 décembre 2008

Reevengi 0.8

Visualiseur d'images et de vidéos pour les jeux Resident Evil.

  • Affichage d'un modèle 3D (RE2 PC demo seulement)
  • Possibilité de forcer la restauration du décor et réinitialiser la position du personnage.

Lien

Reevengi 0.8

Image viewer and movie player for Resident Evil games.

  • Display an EMD object (3D model, RE2 pc demo only).
  • Forceable background restoration and reset player position.

Link

Reevengi m68k+FPU not working

I tortured my head for hours, trying to find a bug I did not produce. In fact, the toolchain is faulty. Here are two elements that explain the problem.

20081213 Update: In fact, the problem came from my gcc 3.3 configuration. Using a newly built gcc 4.3.2 fixes the first problem. The second one is still valid though.

Multilib feature disabled in some cases
Incompatibility between FPU and non-FPU code

Reevengi m68k+FPU ne fonctionne pas

Je me suis pris la tête pendant des heures, à essayer de corriger un bug qui n'était pas de mon fait. En réalité, ça venait de la chaine de compilation. Voici deux éléments expliquant le problème.

20081213 Update: Bon en fait, ça venait de la configuration de gcc 3.3 qui entrainait le premier problème. Avec un gcc 4.3.2 tout neuf, ça fonctionne bien. Le second problème reste d'actualité en tout cas.

Multilib désactivé dans certains cas
Incompatibilité entre le code FPU et non-FPU

Contact: patmandin@gmail.com
La montée de Pikes Peak Non aux brevets logiciels Nectarine demoscene radio